<?php
session_start();
$nom = $_SESSION['nom_admin'];
?>
<html>
    <head>
        <meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Inicio</title>
        <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="css/stylesheet.css">           
        <script src="js/jquery.min.js"></script>
        <script type="text/javascript" src="js/script.js"></script>
        

        <?php
			require ("./Funciones/funciones.php");
			$conexion = conecta();
			
			
			
			$sql= "SELECT * FROM productos where activado='1' and eliminado='0'";
			$res = mysqli_query($conexion,$sql);
			$num = mysqli_num_rows($res);

			$sqla= "SELECT * FROM categorias where activado='1' and eliminado='0'";
			$resa = mysqli_query($conexion,$sqla);
			$numa = mysqli_num_rows($resa);

        ?>
        <script>
        $(document).ready(function() {
		    $('#opccats').change(function() {
		    	var opc = $('#opccats').val();
		        window.location.href= 'catalogo.php?cat=' + opc ;
		    });
		    
		});
	        function oculta(id) {
	            $('#'+id).hide(); //se concatena # con el id que se presiona y aplica hide();   
	        }
	    </script>
	    <script type="text/javascript">
            function Iniciar(f) { 
                var usuario = $('#usuario').val();
                var pass = $('#pass').val();

                if (f.usuario.value == '') 
                { 
                    alert ('El nombre de usuario esta vacio');  
                    f.usuario.focus(); return false; 
                }else{
                    if (f.pass.value   == '') 
                    {
                        alert ('La contrase\u00f1a esta vacia');  
                        f.pass.focus(); return false; 
                    }
                    else{
                            $.ajax({
                                url     : 'validar.php',
                                type    : 'post',
                                dataType: 'text',
                                data    : 'usuario='+usuario+'&pass='+pass,
                                success : function(res){
                                   
                                    if(res == 1 ){
                                        //alert (res);
                                        window.location.href = 'index.php';
                                    }else{
                                        alert ("Error de inicio de sesion");
                                    }
                                },error: function(){
                                    //alert ('Error');
                                }
                            });
                    }
                }


            }

        </script>

    </head>
	<body>
    <div id="header">
        <?php
        /* if($nom !=''){
        ?>
        <ul>
            <li><?php echo "Bienvenido, $nom."?></li>
            <li id="cerrarsesion"><a href="logout.php">Cerrar Sesion</a></li>
        </ul>
        <?php
        }else{
            ?>
            <form id="loginusuario" method="post"  onSubmit="Iniciar(this);">
                <input type="text" name="usuario" id="usuario" placeholder="Usuario"></br>
                <input type="text" name="pass" id="pass" placeholder="Contrase&ntilde;a"></br>
                <input type="Submit" name="guardar" id="userlog" class="boton" value="Entrar"> 
            </form>
            <?php
        }*/
        ?>
        <img src="imagenes/cuad.png" id="logo" align="center">
        </br>
    </br>
    <ul>
            <li><?php echo "Bienvenido, $nom."?></li>
            <li id="cerrarsesion"><a href="logout.php">Cerrar Sesion</a></li>
        </ul>
    </div>
	    <div id ="menu">
	        <ul align="center">
	            <li><a href="catalogo.php">Catalogo</a></li>
	            <?php if($nom != '')
	            {?>
	            	<li><a href="orden.php">Pedido</a></li>
	            <?php
	        	}else{ ?>
	            <li><a href="registro.php">Registro</a></li>
	            <?php }?>
	            <li><a href="pedidos_lista.php">Historial</a></li>
                
	        </ul>
	    </div>

	    <div class="container">
			<form id="formcatalogo">
	  		<?php 


				echo "<select name=\"opc\" id=\"opccats\"  >
            				<option value=\"-1\" >Selecciona Categoria*</option>
                            <option value=\"0\" >Ver todo</option>";
            		for($i=0;$i<$numa;$i++){
            			
            			$idcat = mysql_result($resa, $i,"id");
            			$cat = mysql_result($resa, $i,"nombre");
            			
            			
            			echo "<option  value=\"$idcat\">$cat</option>";
            			

            		}
            		echo "</select></br>";
				    if($cat == ''){
                        $cat = 'General';
                    }
				?>
				</form>
                
				<?php
                $Categ = $_GET['cat'];
                $slqq = mysqli_query($conexion,"SELECT * FROM categorias WHERE id = $Categ");
                $catego = mysqli_fetch_array($slqq);
                ?>

                <h1> Categoria actual: <?php if($Categ !=0){echo $catego['nombre'];}else{ echo 'General';}?></h1>
                <?php
	    	for($i=0; $i<$num; $i++)
	    	{	

	    		$id = mysql_result($res, $i, "idprod");
				$producto = mysql_result($res, $i,"nombre");
				$precio = mysql_result($res, $i,"precio");
				$imagen = mysql_result($res, $i, "imagen_preview");
				$cat = mysql_result($res,$i,"categoria");
	    		if($cat == $Categ){
                    
                ?>
	    		
	    			<div class="col-sm-4 col-xs-10" class="cat<?php echo $cat;?>">
    						<img src="imagenes/<?php echo $imagen; ?>" class="imgs">
    						<h3> <?php echo $producto; ?></h2>
    						<a href="producto_detalle.php?id=<?php echo $id;?>">Ver mas ... </a>
					</div>
				
	    			<?php
	    		}else if($Categ == 0 || $Categ == ''){
                    ?>
                        <div class="col-sm-4 col-xs-10" class="cat<?php echo $cat;?>">
                            <img src="imagenes/<?php echo $imagen; ?>" class="imgs">
                            <h3> <?php echo $producto; ?></h2>
                            <a href="producto_detalle.php?id=<?php echo $id;?>">Ver mas ... </a>
                    </div>
                    <?php
                }
	    	}
	    	?> 

	    </div>


		<div id="footer" align="center">
	        <p>Programacion Web 2014</p>
	    </div>
	</body>